明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1190|回复: 3

高手门如何用VB封装下面代码为dll 并调用 谢谢

[复制链接]
发表于 2015-2-13 15:11:58 | 显示全部楼层 |阅读模式
  1. Public Sub TestAddArc()
  2. Dim varCenter As Variant
  3. Dim dblRadius As Double
  4. Dim dblStart As Double
  5. Dim dblEnd As Double
  6. Dim objEnt As AcadArc
  7. On Error Resume Next
  8. '' get input from user
  9. With ThisDrawing.Utility
  10. varCenter = .GetPoint(, vbCr & "Pick the center point: ")
  11. dblRadius = .GetDistance(varCenter, vbCr & "Enter the radius: ")
  12. dblStart = .GetAngle(varCenter, vbCr & "Enter the start angle: ")
  13. dblEnd = .GetAngle(varCenter, vbCr & "Enter the end angle: ")
  14. End With
  15. '' draw the arc
  16. If ThisDrawing.ActiveSpace = acModelSpace Then
  17. Set objEnt = ThisDrawing.ModelSpace.AddArc(varCenter, dblRadius, _
  18. dblStart, dblEnd)
  19. Else
  20. Set objEnt = ThisDrawing.PaperSpace.AddArc(varCenter, dblRadius, dblStart, dblEnd)
  21. End If
  22. objEnt.Update
  23. End Sub
发表于 2015-2-14 21:30:16 | 显示全部楼层
<CAD VBA二次开发教程>
<AutoCAD VBA开发精彩实例教程>     10.6  使用DLL保护程序

华夏土地网:http://bbs.hxland.com/thread-7419677-1-1.html
 楼主| 发表于 2015-2-15 11:15:59 | 显示全部楼层
pmq 发表于 2015-2-14 21:30
10.6  使用DLL保护程序

华夏土地网:http://bbs.hxland.com/thread-7419677-1-1.html

D:\DLL\ERROR.png

@pmq 谢谢你的指导  我试了一下, 提示错误见附图 。我的系统是win7   vb6.0 AUTOCAD2014
 楼主| 发表于 2015-2-15 11:17:27 | 显示全部楼层
图没附上刚才

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 12:44 , Processed in 0.148917 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表